Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006103 [JEDI VCL] 00 JVCL Components minor always 2013-03-15 16:12 2015-09-14 13:20
Reporter CDametto View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006103: Assign TJvTreeNode.Checked doesn't work
Description Put a TJvCheckTreeView on a form, set properties Checkboxes=True, CheckBoxOptions.Style=cbsJVCL and add one item (sometimes checkbox doesn't appear at design-time, but it should be). Then if you add a button on the form with this code: TJvTreeNode(JvCheckTreeView1.Items[0]).Checked := not TJvTreeNode(JvCheckTreeView1.Items[0]).Checked; pressing the button at run-time the checkbox disappears.
Additional Information In version 3.45 it was working, if you assign JvCheckTreeView.Checked[Node] it works.
Thank you for your support
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020452)
wildwolf (reporter)
2013-03-19 14:49

Hi,
I debugged the source code and I see that the SetCheckedInState was overrided. The sospicious code is:

    if Value then
      Item.State := Item.State + TVIS_CHECKED
    else
      Item.State := Item.State - TVIS_CHECKED;

In the ancestor class it was:

    if Value then
      Item.State := TVIS_CHECKED
    else
      Item.State := TVIS_CHECKED shr 1;

If I change the if structure like in the ancestor class it start to work again. Sincerely the ancestor source code is clear for me, but it is not clear the override function where it is used a decimal mathematical function on a bit mask.
(0020508)
AHUser (developer)
2013-05-25 15:40

Fixed in svn revision 13521.

- Issue History
Date Modified Username Field Change
2013-03-15 16:12 CDametto New Issue
2013-03-19 14:25 wildwolf Issue Monitored: wildwolf
2013-03-19 14:25 wildwolf Issue End Monitor: wildwolf
2013-03-19 14:49 wildwolf Note Added: 0020452
2013-05-25 15:40 AHUser Note Added: 0020508
2013-05-25 15:40 AHUser Status new => resolved
2013-05-25 15:40 AHUser Fixed in Version => Daily / SVN
2013-05-25 15:40 AHUser Resolution open => fixed
2013-05-25 15:40 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker